"use strict";
cc._RF.push(module, '872dfN0oZxGYp09H4Uym11J', 'eff_welldown');
// Lwd/script/common/eff_welldown.js

"use strict";

/**
 * eff_welldown
 */
var eff_well = cc.Class({
  "extends": cc.Component,
  properties: {
    eff_welldown: {
      "default": null,
      type: cc.Animation,
      displayName: "撒花特效"
    }
  },
  ctor: function ctor() {
    eff_well.inst = this;
    lwd_g.eff_well = eff_well;
    this._timeoutIds = [];
  },
  //显示特效
  showEff: function showEff() {
    var _this = this;

    this.node.active = true;
    this.eff_welldown.play(); //播放撒花音效

    lwd_g.speaker.inst.play_congratulation();

    this._timeoutIds.push(setTimeout(function () {
      _this.node.active = false;
    }, 2000));
  },
  onDestroy: function onDestroy() {
    this._timeoutIds.forEach(function (id) {
      clearTimeout(id);
    });
  }
});

cc._RF.pop();